Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class VariableVal11

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.ToFrom
              org.apache.ode.bpel.compiler.bom.VariableVal
                  org.apache.ode.bpel.compiler.bom.VariableVal11

All Implemented Interfaces:
  SourceLocation

    public class VariableVal11

extends VariableVal

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`VariableVal11(org.w3c.dom.Element el)`

Method Summary
`Expression` | `getLocation()`

Methods inherited from class org.apache.ode.bpel.compiler.bom.VariableVal
`getHeader, getPart, getVariable`

Methods inherited from class org.apache.ode.bpel.compiler.bom.ToFrom
`getAsExpression, getAsExtensionVal, getAsPartnerLinkVal, getAsPropertyVal, getAsVariableVal, isExtensionVal, isPartnerLinkVal, isPropertyVal, isVariableVal`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariableVal11

    public VariableVal11(org.w3c.dom.Element el)

Method Detail

### getLocation

    public Expression getLocation()

  Overrides:
    `getLocation` in class `VariableVal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD